Bug 765988 - (mobipocket) Review Request: kdegraphics-mobipocket - A collection of plugins to handle mobipocket files
Review Request: kdegraphics-mobipocket - A collection of plugins to handle mo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.8
  Show dependency treegraph
 
Reported: 2011-12-09 15:08 EST by Rex Dieter
Modified: 2012-01-12 20:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-12 20:18:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-12-09 15:08:57 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegraphics/mobipocket.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegraphics/mobipocket-4.7.90-1.fc16.src.rpm
Description:  A collection of plugins to handle mobipocket files

another kdegraphics-split-in-git victim.
Comment 1 Jaroslav Reznik 2012-01-06 07:11:43 EST
Seems like upstream wants to rename this package to kdegraphics-mobipocket for final 4.8 release due to worries from Amazon. So it'd would be great to update it now to this new name (not yet done but I expect it's going to be done for final) now before we would need to go through another re-review due to package rename.
Comment 2 Rex Dieter 2012-01-06 10:45:51 EST
SPEC: http://rdieter.fedorapeople.org/rpms/kdegraphics/kdegraphics-mobipocket.spec
http://rdieter.fedorapeople.org/rpms/kdegraphics/kdegraphics-mobipocket-4.7.97-1.fc16.src.rpm

%changelog
* Fri Jan 06 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-1
- 4.7.97
- pkg renamed to kdegraphics-mobipocket
Comment 3 Jaroslav Reznik 2012-01-12 07:37:48 EST
There's a typo, see mobipokcet on Provides line

# pkg renamed
Obsoletes: mobipocket < 4.7.97
Provides:  mobipokcet = %{version}-%{release}
Comment 4 Jaroslav Reznik 2012-01-12 07:53:04 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Development .so files in -devel subpackage, if present.
     Note: mobipocket-4.7.90-1.fc17.i686.rpm : /usr/lib/kde4/mobithumbnail.so
     mobipocket-4.7.90-1.fc17.i686.rpm : /usr/lib/kde4/okularGenerator_mobi.so
     mobipocket-4.7.90-1.fc17.i686.rpm : /usr/lib/strigi/strigila_mobi.so

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint mobipocket-4.7.90-1.fc17.src.rpm

mobipocket.src: W: name-repeated-in-summary C mobipocket
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint mobipocket-debuginfo-4.7.90-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint mobipocket-4.7.90-1.fc17.i686.rpm

mobipocket.i686: W: name-repeated-in-summary C mobipocket
mobipocket.i686: E: script-without-shebang /usr/share/applications/kde4/okularApplication_mobi.desktop
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/jreznik/test/reviews/765988/mobipocket-4.7.90.tar.bz2 :
  MD5SUM this package     : d734afc538a7739faa75a3f73b0ff38f
  MD5SUM upstream package : d734afc538a7739faa75a3f73b0ff38f

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ x: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.

Issues:
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.

OK, plugins, not a development files.

[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5

Not a blocker but please clean %install section.

[!]: MUST Rpmlint output is silent.

Ok.

Fix the mobipokcet typo.

rpmlint mobipocket-4.7.90-1.fc17.src.rpm

mobipocket.src: W: name-repeated-in-summary C mobipocket
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint mobipocket-debuginfo-4.7.90-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint mobipocket-4.7.90-1.fc17.i686.rpm

mobipocket.i686: W: name-repeated-in-summary C mobipocket
mobipocket.i686: E: script-without-shebang /usr/share/applications/kde4/okularApplication_mobi.desktop
1 packages and 0 specfiles checked; 1 errors, 1 warnings.


[!]: MUST Development .so files in -devel subpackage, if present.
     Note: mobipocket-4.7.90-1.fc17.i686.rpm : /usr/lib/kde4/mobithumbnail.so
     mobipocket-4.7.90-1.fc17.i686.rpm : /usr/lib/kde4/okularGenerator_mobi.so
     mobipocket-4.7.90-1.fc17.i686.rpm : /usr/lib/strigi/strigila_mobi.so


Generated by fedora-review 0.1.1
External plugins:
Comment 5 Rex Dieter 2012-01-12 08:06:45 EST
http://rdieter.fedorapeople.org/rpms/kdegraphics/kdegraphics-mobipocket.spec
http://rdieter.fedorapeople.org/rpms/kdegraphics/kdegraphics-mobipocket-4.7.97-2.fc16.src.rpm

%changelog
* Thu Jan 12 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-2
- fix typo Provides: mobipocket
- run desktop-file-validate on app .desktop file
Comment 6 Jaroslav Reznik 2012-01-12 08:19:11 EST
Thanks Rex.

APPROVED
Comment 7 Rex Dieter 2012-01-12 08:22:59 EST
New Package SCM Request
=======================
Package Name: kdegraphics-mobipocket
Short Description: A collection of plugins to handle mobipocket files
Owners: than rdieter jreznik ltinkl rnovacek kkofler
Branches: f16 f15
Comment 8 Gwyn Ciesla 2012-01-12 09:46:19 EST
Git done (by process-git-requests).
Comment 9 Rex Dieter 2012-01-12 20:18:31 EST
imported, thanks!

Note You need to log in before you can comment on or make changes to this bug.